EndAngle Example |
Using Programming Languages other than VBA
Sub Example_EndAngle() ' This example creates an ellipse and enters the start and ' end angles to create an elliptical arc. Dim ellObj As AcadEllipse Dim majAxis(0 To 2) As Double Dim center(0 To 2) As Double Dim radRatio As Double ' Create an ellipse in model space center(0) = 5#: center(1) = 5#: center(2) = 0# majAxis(0) = 10: majAxis(1) = 20#: majAxis(2) = 0# radRatio = 0.3 Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio) 'Enter a start angle of 45 degrees, and an end angle of 270 degrees ellObj.startAngle = 45 * (3.14 / 180) ellObj.endAngle = 270 * (3.14 / 180) ZoomAll MsgBox "This ellipse has a start angle of " & ellObj.startAngle * (180 / 3.14) & " and the end angle of " & ellObj.endAngle * (180 / 3.14) & " degrees.", vbInformation, "EndAngle Example" End Sub
Comments? |